#!/bin/bash


if [ $UID -gt 0 ] ; then
  echo "please run as root"
  exit 1;
fi

if [ $UID -gt 0 ] ; then
  USERNAME=$USER
else
  source /var/tiitoo/registration/device_registered
fi

UNINSTALL=0

while [ -n "$1" ] ; do
  if [ "$1" == "-u" ] ; then
    UNINSTALL=1
  fi
  shift
done

OPTPATH=/opt/wepiano
BINPATH=$OPTPATH/bin
wepiano=$BINPATH/wepiano
APPPATH=/home/$USERNAME/.appdata/tiitoo-pinnwand/tiitoo-localbookmarks
APPLAUNCHER="$(grep -l $wepiano $APPPATH/applauncher-*.desktop 2>/dev/null | head -n 1)"

if [ $UNINSTALL -gt 0 ] ; then

  
  if [ -n "$APPLAUNCHER" ] ; then
    APPLAUNCHER="$(basename $APPLAUNCHER .desktop)"
    rm -f $APPPATH/$APPLAUNCHER.*
    killall tiitoo-pinnwand
  fi

else

  if [ -e wepiano ] ; then
    if [ -e /lib/libasound.so ] ; then
	echo "/lib/libasound.so already here"
    else
 	ln -s /lib/libasound.so.2 /lib/libasound.so
    fi
    if [ -e /usr/lib/libIrrKlang.so ] ; then
	echo "/usr/lib/libIrrKlang.so already installed"
    else
 	cp libIrrKlang.so /usr/lib/
    fi
    mkdir -p $OPTPATH
    mkdir -p $BINPATH
    mkdir -p $BINPATH/media
    mkdir -p $BINPATH/media/bass
    mkdir -p $BINPATH/media/drums
    mkdir -p $BINPATH/media/guitar
    mkdir -p $BINPATH/media/piano
    mkdir -p /home/$USERNAME/.wepiano

    cp -ap wepiano media $BINPATH
    cp -ap wepiano.config /home/$USERNAME/.wepiano
    cp -ap wepiano.png $BINPATH

    cp -ap ikpFlac.so $BINPATH
    cp -ap ikpMP3.so $BINPATH
    chown -R root.root $BINPATH
    chmod -R 755 $BINPATH

   else
    echo "missing wepiano"
    exit 1;
  fi
  
  if [ -e wepiano.png ] ; then
    if [ -z "$APPLAUNCHER" ] ; then
      su - $USERNAME -c "dbus-send --session --type=method_call --dest=com.tiitoo.Pinnwand /com/tiitoo/Pinnwand com.tiitoo.Pinnwand.CreateAppLauncher string: string: string:$wepiano string: string:$(pwd)/wepiano.png"
    fi
  else
    echo "missing wepiano.png"
    exit 1;
  fi
  
fi
